# Function reference • REDCapCAST

Skip to contents

# Function reference

## All functions

`REDCap_split()`
  Split REDCap repeating instruments table into multiple tables

`clean_redcap_name()`
  clean_redcap_name

`d2w()`
  Convert single digits to words

`ds2dd()`
  (DEPRECATED) Data set to data dictionary function

`ds2dd_detailed()`
  Extract data from stata file for data dictionary

`easy_redcap()`
  Secure API key storage and data acquisition in one

`file_extension()`
  Helper to import files correctly

`focused_metadata()`
  focused_metadata

`get_api_key()`
  Retrieve project API key if stored, if not, set and retrieve

`get_id_name()`
  Get the id name

`guess_time_only_filter()`
  Try at determining which are true time only variables

`hms2character()`
  Change "hms" to "character" for REDCap upload.

`is_repeated_longitudinal()`
  Test if repeatable or longitudinal

`mark_complete()`
  Completion marking based on completed upload

`match_fields_to_form()`
  Match fields to forms

`mtcars_redcap`
  mtcars dataset slightly modified to use for Shiny app upload demonstration

`read_input()`
  Flexible file import based on extension

`read_redcap_instrument()`
  Convenience function to download complete instrument, using token storage in keyring.

`read_redcap_tables()`
  Download REDCap data

`redcap_wider()`
  Redcap Wider

`redcapcast_data`
  Data set for demonstration

`redcapcast_meta`
  REDCap metadata from data base

`sanitize_split()`
  Sanitize list of data frames

`server_factory()`
  Shiny server factory

`shiny_cast()`
  Launch the included Shiny-app for database casting and upload

`split_non_repeating_forms()`
  Split a data frame into separate tables for each form

`strsplitx()`
  Extended string splitting

`time_only_correction()`
  Correction based on time_only_filter function

`ui_factory()`
  UI factory for shiny app